Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.support
Class Pointcuts

    java.lang.Object
      org.springframework.aop.support.Pointcuts

    public abstract class Pointcuts

extends java.lang.Object

Pointcut constants for matching getters and setters, and static methods useful for manipulating and evaluating pointcuts. These methods are particularly useful for composing pointcuts using the union and intersection methods.

Author:
  Rod Johnson, Juergen Hoeller

Field Summary
`static Pointcut` | `GETTERS` Pointcut matching all bean property getters, in any class
`static Pointcut` | `SETTERS` Pointcut matching all bean property setters, in any class

Constructor Summary
`Pointcuts()`

Method Summary
`static Pointcut` | `intersection(Pointcut pc1, Pointcut pc2)` Match all methods that both the given pointcuts match.
`static boolean` | `matches(Pointcut pointcut, java.lang.reflect.Method method, java.lang.Class targetClass, java.lang.Object[] args)` Perform the least expensive check for a pointcut match.
`static Pointcut` | `union(Pointcut pc1, Pointcut pc2)` Match all methods that either (or both) of the given pointcuts matches.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SETTERS

    public static final Pointcut SETTERS

  Pointcut matching all bean property setters, in any class

### GETTERS

    public static final Pointcut GETTERS

  Pointcut matching all bean property getters, in any class

Constructor Detail

### Pointcuts

    public Pointcuts()

Method Detail

### union

    public static Pointcut union(Pointcut pc1,
                                 Pointcut pc2)

  Match all methods that either (or both) of the given pointcuts matches.

  Parameters:
    `pc1` - the first Pointcut
    `pc2` - the second Pointcut
  Returns:
    a distinct Pointcut that matches all methods that either of the given Pointcuts matches

### intersection

    public static Pointcut intersection(Pointcut pc1,
                                        Pointcut pc2)

  Match all methods that both the given pointcuts match.

  Parameters:
    `pc1` - the first Pointcut
    `pc2` - the second Pointcut
  Returns:
    a distinct Pointcut that matches all methods that both of the given Pointcuts match

### matches

    public static boolean matches(Pointcut pointcut,
                                  java.lang.reflect.Method method,
                                  java.lang.Class targetClass,
                                  java.lang.Object[] args)

  Perform the least expensive check for a pointcut match.

  Parameters:
    `pointcut` - the pointcut to match
    `method` - the candidate method
    `targetClass` - the target class
    `args` - arguments to the method
  Returns:
    whether there's a runtime match

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD